net.dontdrinkandroot.visualization.placement.graph

## Class FRPlacement<V,E>

- java.lang.Object
- - net.dontdrinkandroot.visualization.placement.graph.FRPlacement<V,E>

All Implemented Interfaces:
  VertexPlacement<V,E>, Placement

    public class FRPlacement<V,E>
    extends Object
    implements VertexPlacement<V,E>

### Constructor Summary

Constructors
Constructor and Description
`FRPlacement()`
`FRPlacement(double k)`

### Method Summary

Methods
`double` `getDistanceIgnoreFactor()`
`Double` `getHeight()`
`org.slf4j.Logger` `getLogger()`
`Double` `getWidth()`
`void` `place(edu.uci.ics.jung.graph.Graph<V,E> g, Map<V,VisualItem> vertexMap)`
`void` `setCoolDownFactor(double coolDownFactor)`
`void` `setDistanceIgnoreFactor(double distanceIgnoreFactor)`
`void` `setEdgeStrengthTransformer(org.apache.commons.collections15.Transformer<E,Double> edgeStrengthTransformer)`
`void` `setEdgeWeightTransformer(org.apache.commons.collections15.Transformer<E,Double> edgeWeightTransformer)`
`void` `setHeight(Double height)`
`void` `setK(double k)`
`void` `setMaxDecreaseInRow(int maxDecreaseInRow)`
`void` `setWidth(Double width)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FRPlacement

    public FRPlacement()

#### FRPlacement

    public FRPlacement(double k)

### Method Detail

#### getLogger

    public final org.slf4j.Logger getLogger()

#### setEdgeStrengthTransformer

    public final void setEdgeStrengthTransformer(org.apache.commons.collections15.Transformer<E,Double> edgeStrengthTransformer)

#### setEdgeWeightTransformer

    public final void setEdgeWeightTransformer(org.apache.commons.collections15.Transformer<E,Double> edgeWeightTransformer)

#### setDistanceIgnoreFactor

    public final void setDistanceIgnoreFactor(double distanceIgnoreFactor)

#### getDistanceIgnoreFactor

    public final double getDistanceIgnoreFactor()

#### setMaxDecreaseInRow

    public final void setMaxDecreaseInRow(int maxDecreaseInRow)

#### setCoolDownFactor

    public final void setCoolDownFactor(double coolDownFactor)

#### setK

    public final void setK(double k)

#### getWidth

    public final Double getWidth()

#### getHeight

    public final Double getHeight()

#### setHeight

    public final void setHeight(Double height)

#### setWidth

    public final void setWidth(Double width)

#### place

    public final void place(edu.uci.ics.jung.graph.Graph<V,E> g,
             Map<V,VisualItem> vertexMap)
                     throws PlacementException

Specified by:
  `place` in interface `VertexPlacement<V,E>`
Throws:
  `PlacementException`